function arcade_runFlow()
	cfunction("debugPrintB", "[FLOW] arcade_runFlow", arcade_curState)		
	cfunction("debugPrintB", "[FLOW] TrackID", flow_gameModeId)		
	if arcade_curState == 1 then
		
		cfunction("setDataOptions", "trackId", flow_gameModeId)
		--cfunction("setDataOptions", "destructiblesId", 3)
		--cfunction("setDataOptions", "weaponPickupId", 3)
		--cfunction("setDataOptions", "smePickupId", 3)
		cfunction("setDataOptions", "numberOfOpponents", -1)
		cfunction("addAction", "startTrack", 0)
		arcade_curState =2
	elseif arcade_curState == 2 then
		arcade_curState = 1
		cfunction("addAction", "stopTrack", 0)				
		flow_flowStateInMenu = 1
	elseif arcade_curState == 3 then
		cfunction("addAction", "stopTrack", 0)
		cfunction("addAction", "startTrack", 0)
		arcade_curState = 2
	end
end


function arcade_resetFlow()
	arcade_curState = 1
end
